
Figure - Bug #118736
【AF】【EVT3】【Monkey】109版本Monkey测试18小时后异常停止（4+27个APK）（2）
2023-06-12 10:40 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0109

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118052 问题相同

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-12 10:42 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118736

#2 - 2023-06-12 13:52 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 问题相同

■ 我的分析

与 #118052 问题相同, 将在 #118052 跟踪分析

surfaceflinger报空指针了，导致系统进程挂了

06-11 06:59:34.206 19834 19834 F DEBUG   : * 

06-11 06:59:34.206 19834 19834 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3923:user/test-keys'

06-11 06:59:34.206 19834 19834 F DEBUG   : Revision: '0'

06-11 06:59:34.206 19834 19834 F DEBUG   : ABI: 'arm64'

06-11 06:59:34.206 19834 19834 F DEBUG   : Timestamp: 2023-06-11 06:59:33.903535602+0800

06-11 06:59:34.206 19834 19834 F DEBUG   : Process uptime: 56427s

06-11 06:59:34.206 19834 19834 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-11 06:59:34.206 19834 19834 F DEBUG   : pid: 15339, tid: 15339, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-11 06:59:34.206 19834 19834 F DEBUG   : uid: 1000

06-11 06:59:34.206 19834 19834 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0
06-11 06:59:34.206 19834 19834 F DEBUG   : Cause: null pointer dereference

06-11 06:59:34.206 19834 19834 F DEBUG   :     x0  b400007bc80462f8  x1  0000007fea31c938  x2  0000007a57a84d70  x3  0000007fea31c778

06-11 06:59:34.206 19834 19834 F DEBUG   :     x4  0000000000000018  x5  0000007a37a27100  x6  00006e91000062fa  x7  000054d20000671d

06-11 06:59:34.207 19834 19834 F DEBUG   :     x8  b400007bc8043c20  x9  00000000000026d8  x10 0000000000000000  x11 00000000000002b7

06-11 06:59:34.207 19834 19834 F DEBUG   :     x12 0000000000000010  x13 0000627c00006b67  x14 0000000000000000  x15 b400007b17aa4430

06-11 06:59:34.207 19834 19834 F DEBUG   :     x16 00000063a709cd08  x17 0000007d4e558ec0  x18 0000007d5722a000  x19 0000000000000000

06-11 06:59:34.207 19834 19834 F DEBUG   :     x20 0000007fea31c938  x21 b400007bc80462f8  x22 000003dc0000022c  x23 b400007bc8043c20

06-11 06:59:34.207 19834 19834 F DEBUG   :     x24 0000007d4a57a240  x25 b400007bd7a23f30  x26 0000007d56c38000  x27 00000000000003dc

06-11 06:59:34.207 19834 19834 F DEBUG   :     x28 0000000000000000  x29 0000007fea31c830

06-11 06:59:34.207 19834 19834 F DEBUG   :     lr  00000063a6c10830  sp  0000007fea31c830  pc  0000007d4e558ee0  pst 0000000060001000

06-11 06:59:34.207 19834 19834 F DEBUG   : backtrace:

06-11 06:59:34.207 19834 19834 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #01 pc 000000000015f82c  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #02 pc 00000000001c6a8c  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #03 pc 00000000001c6358  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3

_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #06 pc 000000000016f8fc  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #07 pc 0000000000189260  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #08 pc 00000000001d72d4  /system/bin/surfaceflinger (main+1640) (BuildId: 838bb083286450f126bb3963f855f34a)

06-11 06:59:34.207 19834 19834 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

#3 - 2023-06-12 14:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-12 14:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
